# "Market Structure and Resilience: Evidence from Potash Mine Disasters": Replication 


This folder contains replication files for "Market Structure and Resilience: Evidence from Potash Mine Disasters". 

## code

Folder _code_ provides R code for replications. It contains 3 files:
 - 00_Data_wrangling.Rmd (For data preparation; not required for replication of the results)
 - 01_Results.Rmd (For all results with annual data)
 - 02_Results_Monthly.Rmd (For results with monthly data - Tables A13 and A14 in the supplementary appendix)


## data
Folder _data_ provides data. 

1. It contains 4 files with original raw data.

data_disasters: This file contains data on potash mine disasters. Source: Authors

data_gem_annual: This file contains annual data on potash and phosphate rock prices. All prices in USD dollars per tonne. Source: World Bank GEM Commodities

data_gem_monthly: This file contains monthly data on potash and phosphate rock prices. All prices in USD dollars per tonne. Source: World Bank GEM Commodities

data_ifadata_country: This file contains annual data on potash and phosphate rock production and consumption by country. All values in metric tonnes. Original data in metric tonnes of nutrient, for consistency converted to metric tonnes of product using the following conversion rates:  1t K2O = 1.64t  POTASH 1.64, 1t P2O5 = 3.12t PHOSROCK 3.12  Source: IFA

2. The folder also includes subfolder _analyze_ where all data files used in the analyzes are located. Those files include all variables used in regressions and are fully based on the raw data provided. The required data processing is provided in 00_Data_wrangling.Rmd